"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JustifyString = exports.FormatString = exports.FormatCookies = exports.FormatShortSubmissionDetails = exports.FormatUserData = void 0;
const FormatUserData = (user, lstats, subList, acSubList) => ({
    link: `https://leetcode.com/u/${user.matchedUser.username}`,
    profile: {
        username: user.matchedUser.username,
        realName: user.matchedUser.profile.realName,
        aboutMe: user.matchedUser.profile.aboutMe,
        reputation: user.matchedUser.profile.reputation,
        ranking: user.matchedUser.profile.ranking,
        githubUrl: user.matchedUser.githubUrl,
        twitterUrl: user.matchedUser.twitterUrl,
        linkedinUrl: user.matchedUser.linkedinUrl,
        websites: user.matchedUser.profile.websites,
        skillTags: user.matchedUser.profile.skillTags
    },
    submitStats: user.matchedUser.submitStats,
    langStats: lstats.matchedUser.languageProblemCount,
    subList: subList,
    acSubList: acSubList
});
exports.FormatUserData = FormatUserData;
const FormatShortSubmissionDetails = (details) => ({
    runtimeDisplay: details.submissionDetails?.runtimeDisplay,
    memoryDisplay: details.submissionDetails?.memoryDisplay,
    question: details.submissionDetails?.question,
    lang: details.submissionDetails?.lang
});
exports.FormatShortSubmissionDetails = FormatShortSubmissionDetails;
const FormatCookies = (cookies) => {
    if (!cookies)
        return undefined;
    const cookie_s = `LEETCODE_SESSION=${cookies.LEETCODE_SESSION}; ` +
        `csrftoken=${cookies.csrftoken};`;
    return { "Cookie": cookie_s };
};
exports.FormatCookies = FormatCookies;
const FormatString = (template, ...args) => {
    return template.replace(/{(\d+)}/g, (_, index) => args[index] || "");
};
exports.FormatString = FormatString;
const CenterString = (str, width) => {
    // Calculate the total padding required
    const padding = width - str.length;
    // If the string is already wider than the desired width, return the original string
    if (padding <= 0) {
        return str;
    }
    // Calculate left and right padding
    const leftPadding = Math.floor(padding / 2);
    const rightPadding = Math.ceil(padding / 2);
    // Return the centered string
    return ' '.repeat(leftPadding) + str + ' '.repeat(rightPadding);
};
const JustifyString = (str, width, dir) => {
    if (dir == 0)
        return CenterString(str, width); // Center the string
    const remaining_size = (width - str.length) > 0;
    if (dir == -1)
        return str + ((remaining_size) ? ' '.repeat(width - str.length) : '');
    if (dir == 1)
        return ((remaining_size) ? ' '.repeat(width - str.length) : '') + str;
    return str;
};
exports.JustifyString = JustifyString;
